Services_OpenStreetMap

# Class: Services_OpenStreetMap_Criterion

Source Location: /OpenStreetMap/Criterion.php

### Class Overview

Services_OpenStreetMap_Criterion

#### Author(s):

- Ken Guest <kguest@php.net>

### Variables

- $type
- $value

### Methods

- __construct
- query
- type

### Class Details

[line 25]
Services_OpenStreetMap_Criterion

#### Tags:

author: | Ken Guest <kguest@php.net>
link: | Criterion.php
license: | BSD

[ Top ]

### Class Variables

#### $type = null

[line 32]

Criterion type.

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $value = null

[line 38]

Depending on type, value is null, a specified or generated value.

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 69]

`Services_OpenStreetMap_Criterion __construct( )`

A Criterion is used to specify a condition on how to search through changesets.

Search changesets by A user id: Services_OpenStreetMap_Criterion('user', 12345)

A display/user name: Services_OpenStreetMap_Criterion('display_name', 'fredflintstone')

A bounding box: Services_OpenStreetMap_Criterion('bbox', -8.0590275, 52.9347449, -7.9966939, 52.9611999)

For open changesets only: Services_OpenStreetMap_Criterion('open')

For closed changesets only: Services_OpenStreetMap_Criterion('closed')

For changesets created after a specific time: Services_OpenStreetMap_Criterion('time', '17/11/2011')

For changesets created during a specific timespan: Services_OpenStreetMap_Criterion('time', '17/11/2011', '29/11/2011')

#### Tags:

throws: | Services_OpenStreetMap_InvalidArgumentException
access: | public

[ Top ]

### method query [line 150]

`string query( )`

Create the required query string portion

#### Tags:

access: | public

[ Top ]

### method type [line 171]

`string type( )`

Return the criterion type (closed, open, bbox, display_name, or user)

#### Tags:

access: | public

[ Top ]

Documentation generated on Wed, 26 Sep 2012 01:24:52 +0100 by phpDocumentor 1.4.4